<!-- Toolbar -->
<div class="toolbar" role="banner">
  <img class="guschlbauer" src="https://www.guschlbauer.dev/wp-content/uploads/2019/07/guschlbauer-icon-4.png">

  <span>Dynamic Loading</span>
    <div class="spacer"></div>
    <a target="_blank" rel="noopener" href="https://guschlbauer.dev" title="guschlbauer.dev">
      <img src="https://www.guschlbauer.dev/wp-content/uploads/2019/07/guschlbauer-icon-4.png" width="25px">
    </a>
</div>

<div class="content" role="main">

  <!-- Highlight Card -->
  <div>
    <span class="card highlight-card card-small">{{ title }} app is running!</span>
  </div>

  <!-- Resources -->
  <h2>Dynamic Component Loading</h2>
  <p>Test loading components dynamically</p>

  <div class="card-container">
    <a class="card" (click)="loadComponentAsync()">
      <span>Load Component Async</span>
    </a>

    <a class="card" (click)="destroyAllComponents()">
      <span>Destroy All Dynamic Components</span>
    </a>
  </div>
  <p>
  </p>
  <div>
    <ng-container #dynamicContainer></ng-container>
  </div>
</div>


<router-outlet></router-outlet>
